Description: Accommodate chrome v0.9.2 changes
 This fixes FTBFS with chroma v0.9.2 and up in Debian (Bug #997560)
 while maintaining backward compatibility with older chroma.
Author: Anthony Fok <foka@debian.org>
Origin: vendor
Bug-Debian: https://bugs.debian.org/997560
Forwarded: not-needed
Last-Update: 2021-11-29
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/blorg/config_test.go
+++ b/blorg/config_test.go
@@ -23,6 +23,12 @@
 		t.Errorf("Could not render: %s", err)
 		return
 	}
+	// Revert chroma output before v0.9.2
+	err = exec.Command("sed", "-i", `s/<pre tabindex="0"/<pre/`, "testdata/public/about.html").Run()
+	if err != nil {
+		t.Errorf("Could not run sed: %s", err)
+		return
+	}
 	renderedHashBs, err := exec.Command("bash", "-c", fmt.Sprintf("find %s -type f | sort -u | xargs cat | md5sum", config.PublicDir)).Output()
 	if err != nil {
 		t.Errorf("Could not hash PublicDir: %s", err)
